/*隐藏广告*/
#ad_t2, #cnblogs_c1, #under_post_news, #cnblogs_c2, #under_post_kb , #under_post_card1, #under_post_card2 {
    display: none;
}
#site_nav_under,.c_ad_block{
    display:none;
}

/*左右调换模块*/
#main {
    display: flex;
    flex-direction: row-reverse; /* 将侧边栏放在左边，主体内容放在右边 */
    width: 100%;
}

#mainContent {
    flex: 1; /* 主体内容占据剩余空间 */
}

#sideBar {
    width: 100px; /* 根据需要调整宽度 */
}
.clear {
    clear: both;
}

/*隐藏历史上的今天*/
#HistoryToday, .recomm-block {
    visibility: hidden;
}

/*刷新评论，刷新页面，返回顶部按钮位置调整*/
#comment_nav {
    margin: 10px 20px 10px 20px;
}

/*边框圆角设置*/
.catListTitle {
    border-radius: 12px 12px 0px 0px;    
}

.sidebar-block {
    border-radius: 12px;
}

.mySearch {
    border-radius: 12px;
}
#sideBar ul{
    border-radius: 0px 0px 12px 12px;
}

#widget_my_google {
    border-radius: 0px 0px 12px 12px;
}

.entrylistItem {
    border-radius: 12px;
}

#topics {
    border-radius: 12px;
}

#comment_form_container {
    border-radius: 12px;
}

#tbCommentBodyPreview {
    //border-radius: 12px;
}

.comment_textarea {
    border-radius: 12px;
}

.input_my_zzk {
    //border-radius: 8px;
}

input.btn_my_zzk {
    //border-radius: 8px;
}

#myposts .PostList {
    border-radius: 12px;
}

.day {
    border-radius: 12px;
}

.dayTitle {
    border-radius: 8px;
    font-weight: 600;
}

.catListView {
    border-radius: 12px;
}
/* 边框圆角设置*/

/*******日历*************/
.CalTitle{
    font-size: 16px;
    font-weight: normal;
    line-height: 47px;
    background-color: #169fe6;
    border-radius: 12px 12px 0px 0px; 
}

#sideBarMain .CalTitle td {
    width: inherit;
    height: 47px;
    color: #fff;
    background-color: #fff0;
    font-size: 16px;
}

.CalTitle td.CalNextPrev {
    padding-left: 32px;
    padding-right: 32px;
    font: bold normal normal 20px/1 Calibri,sans-serif;
}

#sideBarMain td {
    height: 32px;
    width: 41px;
    font-size: 15px;
    text-align: center;
    color: #555;
}

#sideBarMain .CalTitle td.CalNextPrev a {
    color: #fff;
    font-size: 18px;
}

.CalDayHeader{
    font-size: 16px;
    color: #169fe6;
    line-height: 40px; 
    background-color: #fff;
}

.CalWeekendDay{
    font-size:16px;
    line-height:2.1;
    //font-family: Georgia,"Times New Roman",Times,sans-serif;
}

#sideBarMain #blogCalendar tbody tr td.CalTodayDay {
    background-image: url("https://files.cnblogs.com/files/free-stardust/today_background_color_blue_32px.gif");
    background-repeat: no-repeat;
    background-position: center;
    color: #fff;
    font-weight: bold;
}

#sideBarMain #blogCalendar{
    background-color: #fff;
    border-radius:12px;
    //border: 1px solid #dedede;
}

#sideBarMain #blogCalendar>tbody>tr:nth-child(n+3) td.CalOtherMonthDay {
    color: #169fe68f;
}

#blog-calendar u {
    font-weight: bold;
    //background-image: url("https://files.cnblogs.com/files/free-stardust/blog_calendar_mark_blue_hollow_square_28px.gif");
    //background-repeat: no-repeat;
    //background-position: center; 
    //padding: 7px;
    //text-decoration: none;
    //color: #f60;
}

/* 关注收藏分享等几个按钮样式调整*/
#green_channel {
    padding: 10px;
    margin: 20px 0;
    font-size: 15px;
    width: max-content;
    margin-left: auto;
    text-align: right;
    border-radius: 12px;
}

#green_channel a {
    border-radius: 3px;
    text-shadow: none;
    font-weight: normal;
    box-shadow: none;
}

#green_channel a:link, #green_channel a:visited, #green_channel a:active {
    margin: 0px 5px 0px 2px;
}

#green_channel #green_channel_weibo, #green_channel #green_channel_wechat {
    padding: 4px 1px;
    margin: 0px;
}

/*侧边栏公告*/
#blog-news > img {
    /*头像*/
    display: block;
    margin: auto;
    width:100px;
    height:100px;
    border-radius: 50%;
}

#profile_block {
    font-size: 15px;
    padding: 20px;
    line-height: 1.8;
    border-radius: 0px 0px 12px 12px;
}

#profile_block > a:link {
    color: #F60;
}

#profile_block > a {
    color: #F60;
}
/*公告结束*/

/*评论区按钮右对齐*/
.comment_preview p, div.commentform p {
    margin: 10px 0;
    text-align: right;
}

/*评论区评论框大小无限制*/
.comment_textarea {
    max-width: none;
    width: auto;
}

#topics .postDesc {
    text-align: right;
}

/*文章属性靠右显示*/
.entrylistItemPostDesc {
    text-align: right;
}

/*首页随笔框编辑属性靠右显示*/
.postDesc {
    text-align: right;
}

/*文章概要编辑靠右显示*/
#myposts .postDesc2 {
    text-align: right;
}

/*博客档案时间颜色设置*/
/*.entrylist h1 {
    color: #169fe6;
    font-weight: 600;
    font-size: 16px;
}
*/

/*博客位置专题名称颜色设置*/
h1 {
    color: #169fe6;
    font-weight: 600;
    font-size: 16px;
}

/*div透明度*/
#sideBar {
    opacity: 1;
}
#mainContent {
    opacity: 1;
}

/* 静态看板娘 */
canvas#live2dcanvas {
    border: 0 !important;
    left: 0;
}


/* 动态看板娘 */
div#waifu {
    //position: fixed;
    //left: 0px;
    //bottom: 0px;
    //display: flex;
    //flex-direction: column;
    //align-items: flex-end; /* 确保其他元素对齐到右边 */
    //padding: 10px; /* 根据需要调整间距 */
    transform: scale(0.8)!important; /* 调整缩放比例，0.8 表示缩小到 80% */
    transform-origin: bottom left; /* 确保缩放以右下角为基准 */
}

div#waifu-tips {
    //margin-bottom: 10px; /* 根据需要调整间距 */
    //text-align: left; /* 确保文本对齐到右边 */
}

div#waifu-tool {
    //margin-right: 320px; /* 根据需要调整间距 */
}

canvas#live2d {
    /* 这里可以添加其他样式 */
    opacity: 1;
    width: 300px;
    height: 300px;
}

